FDMDV_DEMOD(1)

NAME
fdmdv_demod - a diagnostic tool for the codec2 library to create a codec2 bit file from a series of FDMDV modem samples.

SYNOPSIS
fdmdv_demod usage: InputModemRawFile OutputBitFile [Nc] [OctaveDumpFile]

DESCRIPTION

Given an input raw file (8kHz, 16 bit shorts) of FDMDV modem samples outputs a file of bits. The output file is assumed to be arranged as codec frames of 56 bits (7 bytes) which are received as two 28 bit modem frames.

Demod states can be optionally logged to an Octave file for display using the Octave script fdmdv_demod_c.m. This is useful for checking demod performance.

EXAMPLE
 fdmdv_dmod hts1a_fdmdv.raw hts1a.c2

OPTIONS
The first argument, InputModemRawFile is the file name of a file with FDMDV modem samples. If "-" is given the input is taken from stdin.

The second argument, OutputBitFile is the file name of a file to be created with codec2 bits. If "-" is given the output is sent to stdout.

The optional third argument, [Nc] is the number of carriers to use in the modem. The default is 14. The minimum is 2 and the maximum is 20.

The optional fourth argument, [OctaveDumpFile] is the name of to Octave data file to create.

SEE ALSO
c2dec(1), c2enc(1), fdmdv_mod(1), fdmdv_get_test_bits(1) fdmdv_put_test_bits(1)